<ion-view title="Starsida">
    
    <ion-nav-buttons side="left">
        <button class="button button-icon icon ion-information-circled" ng-click="openAboutAppModal()"></button>
        <button class="button button-icon icon ion-refresh" ng-click="doSomething()"></button>
    </ion-nav-buttons>

    <ion-nav-buttons side="right">
        <button class="button ion-log-out" ng-click="logout()">
            Logga ut
        </button>
    </ion-nav-buttons>
    
    <!--content start-->
    <ion-content padding="false">

        <!--repetitive practice-->
        <section  class="padding listing">
            <div class="list repetitive">
                <!-- <div class="item item-divider whiteHeading">Träningsuppgifter</div> -->

                <ul class="practiceSlot">
                    <li ui-sref="practice({type:'{{practice.type}}',id:{{practice.id}}})" ng-repeat="practice in practices">
                        <div dynamic-backgrounds class="practiceicon" ng-style="set_icon_bg(practice)" data-style="background-image:url('{{practice.icon}}')"></div>

                        <div class="icontext">{{practice.title}}</div>
                    </li>
                    <!-- <li ui-sref="practice">

                        <div class="icontext">{{practice.title}}</div> 
                    </li><li ui-sref="practice">

                        <div class="practiceicon rakna"></div>
                        <div class="notreadyet">&nbsp;</div>
                        <div class="icontext">Räkna</div>
                    </li><li ui-sref="practice">
                        <div class="practiceicon skona"></div>
                        <div class="icontext">Sköna tanken</div>
                    </li> -->
                </ul>

                <!-- <ul class="practiceSlot">
                    <li ui-sref="practice">
                        <div class="practiceicon andas"></div>
                        <div class="icontext">Andas djupt</div>
                    </li><li ui-sref="practicemaroon">
                        <div class="practiceicon rakna"></div>
                        <div class="notreadyet">&nbsp;</div>
                        <div class="icontext">Räkna</div>
                    </li><li ui-sref="practicegreen">
                        <div class="practiceicon skona"></div>
                        <div class="icontext">Sköna tanken</div>
                    </li>
                </ul> -->

                <!-- <ul class="practiceSlot">

                    <li ui-sref="practice({type:'exponera'})">
                        <div class="practiceicon exponera"></div>
                        <div class="icontext">Exponera</div>
                    </li><li ui-sref="practice({type:'exposure'})">
                        <div class="practiceicon lyssna"></div>
                        <div class="icontext">Lyssna</div>
                    </li><li ui-sref="practice({type:'homework'})">
                        <div class="practiceicon hemupp yellow"></div>
                        <div class="icontext">Hemmuppgift</div>
                    </li><li ui-sref="practice({type:'sound'})">
                        <div class="practiceicon exponera purple"></div>
                        <div class="icontext">Exponera  lyssnaLyssna Lyssna</div>
                    </li><li ui-sref="practice">
                        <div class="practiceicon hemupp purple"></div>
                        <div class="icontext">Hemmuppgift</div>
                    </li><li ui-sref="practice">
                        <div class="practiceicon lyssna yellow" style="bac"></div>
                        <div class="icontext">Lyssna</div>
                    </li><li ui-sref="practice">
                        <div class="practiceicon lyssna purple"></div>
                        <div class="icontext">Lyssna</div>
                    </li><li ui-sref="practice">
                        <div class="practiceicon exponera yellow"></div>
                        <div class="icontext">Exponera</div>
                    </li><li ui-sref="practice">
                        <div class="practiceicon hemupp yellow"></div>
                        <div class="icontext">Hemmuppgift</div>
                    </li>
                </ul> -->
            </div>
        </section>
        
        <section ng-show="!!currentUser.saveDataInServer"  class="padding statsbar">
            <div class="progress">
                <div class="mainbararea">
                    <div class="bars">
                        <span ng-repeat="i in [1,2,3,4,5,6,7,8,9]" class="barline">&nbsp;</span>
                    </div>
                    <div class="greenbar" style="width:10%">&nbsp;</div>
                </div>
            </div>
        </section>

        <section ng-show="!!!currentUser.saveDataInServer" class="alternativestatsbar">
            <div id="fixedgraph" class="fixedbar">
                <div class="blacktransparent">&nbsp;</div>
                <!-- back link used for graph-->
                <a href="#" class="tidigare">Tidigare</a>
                <!-- back link used for graph-->
                <div class="rightsidecontrol">

                    <ion-tabs class="tabs-icon-top tabs-positive">
                      <!--Daily-->
                        <ion-tab title="Dagar">
                            <div class="scrollablebar dagar">
                                <div class="statbox" style="float:right">
                                    <ion-scroll direction="x">
                                        <!-- <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">26/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">26/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:6px;">
                                                    <span class="greenvalue">0</span>
                                                </span>
                                            </div>
                                            <div class="statdate">26/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:100%;">
                                                    <span class="greenvalue">96</span>
                                                </span>
                                            </div>
                                            <div class="statdate">26/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">26/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">26/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">26/4</div>
                                        </div> -->
                                        <div class="statitem" ng-repeat="activity in dailyActivities">
                                            
                                            <div class="statmain">
                                                <span class="greenbox" ng-style="set_daily_graph_height(activity)" style="bottom:4px;border-bottom:0;"><span class="greenvalue">{{activity.count}}</span></span>
                                                <span class="greenbox" style="height:4px;border-top:0;z-index:-11"></span>

                                            </div>
                                            <div class="statdate">{{activity.date| date:'MM/dd'}}</div>

                                        </div>

                                    </ion-scroll>
                                </div>
                            </div>
                        </ion-tab>

                        <!--Daily-->

                        <!-- Weekly -->
                        <ion-tab title="Veckor">
                            <div class="scrollablebar veckor">
                                <div class="statbox" style="float:right">
                                   <ion-scroll direction="x">

                                           <!-- <div class="statitem">
                                           <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">21/4 - 28/4</div>

                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">21/4 - 28/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:6px;">
                                                    <span class="greenvalue">0</span>
                                                </span>
                                            </div>
                                            <div class="statdate">21/4 - 28/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:100%;">
                                                    <span class="greenvalue">96</span>
                                                </span>
                                            </div>
                                            <div class="statdate">21/4 - 28/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">21/4 - 28/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">21/4 - 28/4</div>
                                        </div>
                                        <div class="statitem">
                                            <div class="statmain">
                                                <span class="greenbox" style="height:50%;">
                                                    <span class="greenvalue">6</span>
                                                </span>
                                            </div>
                                            <div class="statdate">21/4 - 28/4</div>
                                        </div> -->


                                        <div class="statitem" ng-repeat="activity in weeklyActivities">
                                            <div class="statmain">
                                                <span class="greenbox" ng-style="set_weekly_graph_height(activity)" style="height:{{activity.count}}%;"><span class="greenvalue">{{activity.count}}</span></span>

                                            </div>
                                            <div class="statdate">{{activity.date}}</div>
                                        </div>

                                    </ion-scroll>
                                </div>

                            </div>
                        </ion-tab>
                    <!-- Weekly -->
                    </ion-tabs>

                </div>

            </div>
        </section>

        <section class="homework">
            <ion-list id="div-homeWorks" class="homeWorksStatus content">
                <!-- <div class="item item-divider whiteHeading">Hemuppgifter</div> -->
                <!-- <a ui-sref="homework" class="item item-icon-right notyet">
                Ilskedämpare <i class="icon ion-ios7-arrow-right encircled"></i></a> -->
                <a href="#homework/{{homework.id}}" class="item item-icon-right" ng-repeat="homework in homeworks">
                {{homework.title}}<i class="icon ion-ios7-arrow-right encircled"></i></a>

            </ion-list>
        </section>

    </ion-content><!--content end-->

</ion-view>